PaperFoxPaperFox
APIReferenceSubmissionsSubmission slug

Submission detail

GET
/submissions/{submission-slug}

Reviews are release-gated and reviewer identities blanked for blind tracks, exactly as in the web app.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as a bearer token: Authorization: Bearer pfx_live_...

In: header

Path Parameters

submission-slug*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/submissions/string"
{  "id": "string",  "slug": "string",  "title": "string",  "status": "SUBMITTED",  "submissionData": {    "property1": null,    "property2": null  },  "currentVersion": -9007199254740991,  "withdrawnAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "conference": {    "slug": "string",    "name": "string"  },  "track": {    "slug": "string",    "name": "string"  },  "currentPhase": {    "index": -9007199254740991,    "name": "string"  },  "authors": [    {      "firstName": "string",      "lastName": "string",      "email": "string",      "affiliation": "string",      "country": "string",      "authorOrder": -9007199254740991,      "isCorresponding": true    }  ],  "decision": {    "decision": "string",    "notesToAuthors": "string",    "notesToChairs": "string",    "decidedAt": "2019-08-24T14:15:22Z"  },  "reviews": [    {      "id": "string",      "status": "NOT_STARTED",      "reviewer": "string"    }  ],  "reviewerProgress": [    {      "property1": null,      "property2": null    }  ]}
{  "type": "https://paperfox.ai/problems/not-found",  "title": "Not Found",  "status": 404,  "detail": "string",  "code": "not_found",  "errors": [    {      "param": "string",      "code": "string",      "message": "string"    }  ]}
{  "type": "https://paperfox.ai/problems/not-found",  "title": "Not Found",  "status": 404,  "detail": "string",  "code": "not_found",  "errors": [    {      "param": "string",      "code": "string",      "message": "string"    }  ]}
{  "type": "https://paperfox.ai/problems/not-found",  "title": "Not Found",  "status": 404,  "detail": "string",  "code": "not_found",  "errors": [    {      "param": "string",      "code": "string",      "message": "string"    }  ]}
{  "type": "https://paperfox.ai/problems/not-found",  "title": "Not Found",  "status": 404,  "detail": "string",  "code": "not_found",  "errors": [    {      "param": "string",      "code": "string",      "message": "string"    }  ]}